ViewerTools = class exports.ViewerTools

    @getLayerById: (id) ->

        return unless id?

        layers = ViewerTools.getLayers()
        return if not layers?

        for layer in layers
            return layer if layer?.id is id

        return

    @getLayerByHash: (hash) ->

        return unless hash?

        layers = ViewerTools.getLayers()
        return if not layers?

        for layer in Framer.CurrentContext._layers

            return layer if layer?.__framerInstanceInfo?.hash is hash
            return layer if hash is "#il|#{layer.__framerImportedFromPath}|#{layer.name}"

        return

    @getRelatedLayersByHash: (hash) ->

        return [] unless hash?
        
        layers = ViewerTools.getLayers()
        return if not layers?

        result = []
        foundFirst = false

        for layer in Framer.CurrentContext._layers

            foundFirst = true if layer?.__framerInstanceInfo?.hash is hash
            result.push(layer) if foundFirst and layer?.__framerInstanceInfo?.hash is hash

        return result

    @getLayers: -> Framer.CurrentContext._layers or Framer.CurrentContext._layerList