# Project Info
# This info is presented in a widget when you share.
# http://framerjs.com/docs/#info.info

Framer.Info =
	title: "Draggable"
	author: "Floris Verloop"
	twitter: "fverloop"
	description: """
		Layers can be made horizontally and/or vertically draggable. They can be tossed around with momentum. To control where they end up, you can define a specific area that a layer can be dragged within. They can optionally be dragged beyond this area, but they will then bounce back by default. 
		
	More info: 
	http://framerjs.com/docs/#layer.draggable
		"""


# Set background color
Screen.backgroundColor = "#28AFFA"

# Create the constraints layer
constraints = new Layer 
	width: 300
	height: 150
	x: Align.center
	y: Align.center
	backgroundColor: "rgba(255, 255, 255, 0.2)"
	borderRadius: 6

# Create the draggable layer
layerA = new Layer
	width: 150
	height: 150
	x: Align.center(-75)
	y: Align.center
	backgroundColor: "#fff"
	borderRadius: 4

# Enable dragging, set constraints
layerA.draggable.enabled = true
layerA.draggable.constraints = constraints.frame

# Enable pinching, use alt-click to try
layerA.pinchable.enabled = true