# Project Info
# This info is presented in a widget when you share.
# http://framerjs.com/docs/#info.info

Framer.Info =
	title: "Scroll Component"
	author: "Koen Bok"
	twitter: "koenbok"
	description: """
		A ScrollComponent is used to scroll content. It implements momentum and spring physics, allows for customization, and emits different events.
	
		More info:
		http://framerjs.com/docs/#scroll.scrollcomponent
	"""


# Set background color
Screen.backgroundColor = "#2DD7AA"

# Create ScrollComponent
scroll = new ScrollComponent
	width: 300
	height: 300
	x: Align.center
	y: Align.center
	backgroundColor: "rgba(255, 255, 255, 0.2)"
	scrollHorizontal: false
	borderRadius: 10

# Add top and bottom inset
scroll.contentInset = 
	top: 20
	bottom: 20

# Add layers
for i in [0...6]
	layer = new Layer
		parent: scroll.content
		name: "Row #{i}"
		width: 260
		height: 80
		x: 20
		y: 90 * i
		backgroundColor: "#fff"
		borderRadius: 6